Skip to main content
PATCH
Update Published Retriever

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

retriever_id
string
required

ID of the retriever

Body

application/json

Request to update a published retriever configuration.

display_config
DisplayConfig · object | null

Update the display configuration

Example:
rate_limit_config
RateLimitConfig · object | null

Update rate limiting configuration

Example:
password_secret_name
string | null

Update or remove password protection (set to empty string to remove)

is_active
boolean | null

Activate or deactivate the published retriever

tags
string[] | null

Update tags for categorizing this retriever

category
string | null

Update the primary category for this retriever

Response

Successful Response

Response model for GET published retriever.

Returns the full published retriever config including the public API key since the user already has access to it.

retriever_id
string
required

ID of the underlying retriever

public_id
string
required

Public identifier for this published retriever

public_name
string
required

Public URL-safe name

display_config
DisplayConfig · object
required

Display configuration for UI rendering

Example:
rate_limit_config
RateLimitConfig · object
required

Rate limiting configuration

Examples:
password_protected
boolean
required

Whether password protection is enabled

is_active
boolean
required

Whether the published retriever is active

created_at
string<date-time>
required

Timestamp when published

updated_at
string<date-time>
required

Timestamp when last updated

description
string | null

Description of this public retriever

icon_base64
string | null

Base64 encoded icon/favicon for this retriever

public_api_key
string | null

DEPRECATED: Public API key (prk_). API keys are no longer required for public retriever access. For SDK access, use ret_sk_ keys.

retriever_metadata
RetrieverMetadata · object | null

Optional technical metadata about the retriever

tags
string[]

Tags for categorizing this retriever

category
string | null

Primary category for this retriever